#include "WimaServiceArea.h"

WimaServiceArea::WimaServiceArea(QObject *parent):
    WimaServiceArea (nullptr, parent)
{

}

WimaServiceArea::WimaServiceArea(WimaArea *other, QObject *parent):
    WimaArea (other, parent)
{
    this->setObjectName("Service Area");
}

void WimaServiceArea::setTakeOffPosition(QGeoCoordinate* coordinate)
{
    if(_takeOffPosition != *coordinate){
        _takeOffPosition = *coordinate;
        emit takeOffPositionChanged();
    }
}

void WimaServiceArea::setLandPosition(QGeoCoordinate* coordinate)
{
    if(_landPosition != *coordinate){
        _landPosition = *coordinate;
        emit landPositionChanged();
    }
}

